# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'jobs_autoscaling/version'

Gem::Specification.new do |spec|
  spec.name          = "inst-jobs-autoscaling"
  spec.version       = JobsAutoscaling::VERSION
  spec.authors       = ["Brian Palmer"]
  spec.email         = ["brianp@instructure.com"]

  spec.summary       = %q{AWS ASG autoscaling for inst-jobs}
  spec.homepage      = "https://github.com/instructure/inst-jobs-autoscaling"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "inst-jobs", "> 1.0", "< 3.0"
  spec.add_dependency "aws-sdk-autoscaling"

  spec.add_development_dependency "bundler", "> 1.11", "< 3"
  spec.add_development_dependency "rake", "~> 13.0"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "rspec", "~> 3.4.0"
end
